Developers
V1PlatformCommerce

/v1/platform/commerce

GET
/v1/platform/commerce
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/platform/commerce"
{  "environment": "sandbox",  "enabled": true,  "tradingEnabled": true,  "merchants": [    {      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "name": "string",      "enabled": true,      "agreement": {        "legalName": "string",        "registrationNumber": "string",        "evidence": "string",        "feeBps": 0,        "fixedFeeMinor": 0,        "gatewayFeePayer": "platform",        "refundPlatformFee": "retain"      },      "bank": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "bankName": "string",        "accountName": "string",        "last4": "string",        "status": "proposed",        "proposedBy": "aa8be4df-5214-4e9f-85ac-5e28af8ae14a"      },      "balanceMinor": -9007199254740991,      "reservedMinor": 0    }  ],  "offers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "description": "string",      "amountMinor": 0,      "stock": 1,      "terms": "string",      "kind": "physical_product",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "merchantName": "string",      "status": "submitted",      "availableStock": 0    }  ],  "orders": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "merchantName": "string",      "title": "string",      "terms": "string",      "amountMinor": 0,      "currency": "MYR",      "source": "bill",      "status": "open",      "paymentStatus": "unpaid",      "fulfilmentStatus": "unfulfilled",      "refundedMinor": 0,      "collectionCode": "string",      "billCode": "string",      "settled": true,      "disputed": true,      "createdAt": "string",      "refunds": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",          "amountMinor": 0,          "reason": "string",          "status": "requested",          "createdAt": "string"        }      ]    }  ],  "payouts": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "amountMinor": 0,      "status": "prepared",      "bankLast4": "string",      "createdAt": "string"    }  ],  "entries": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "at": "string",      "source": "string",      "reference": "string",      "account": "string",      "debitMinor": 0,      "creditMinor": 0    }  ],  "capabilities": [    "manage"  ]}